MongoGridFS::storeBytes
MongoGridFS::storeUpload
MongoGridFS
PHP Manual

# MongoGridFS::storeFile

(PECL mongo >=0.9.0)

MongoGridFS::storeFile — Stores a file in the database

### Descrição

public mixed MongoGridFS::storeFile ( string `$filename` [, array `$extra` = array() [, array `$options` = array() ]] )

### Parâmetros

`filename`

  The name of the file.

`extra`

  Other metadata to add to the file saved.

`options`

  Options for the store.

  - "safe"

    Check that this store succeeded.

### Valor Retornado

Returns the _id of the saved object.

### Erros

Throws MongoCursorException if the "safe" option is set and the insert fails.

MongoGridFS::storeBytes
MongoGridFS::storeUpload
MongoGridFS
PHP Manual